com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class ComponentCompressionFactory

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.ComponentCompressionFactory

- All Implemented Interfaces:
    CompressionFactory

      public class ComponentCompressionFactory
      extends java.lang.Object
      implements CompressionFactory

  A component compression factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentCompressionFactory.Entry` An algorithm entry.

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.CompressionFactory

      `CompressionFactory.Mode, CompressionFactory.OperationException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentCompressionFactory(ComponentCompressionFactory.Entry... entries)` Creates a new factory instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Compression` | `clientToServerCompressionFor(java.lang.String name, CompressionFactory.Mode mode)` Returns a compression operation for client-server direction.
    `java.util.List<java.lang.String>` | `compressions()` Returns supported compression algorithms.
    `Compression` | `serverToClientCompressionFor(java.lang.String name, CompressionFactory.Mode mode)` Returns a compression operation for server-client direction.
    `ComponentCompressionFactory` | `set(ComponentCompressionFactory.Entry... entries)` Sets algorithm entries.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentCompressionFactory

          public ComponentCompressionFactory(ComponentCompressionFactory.Entry... entries)

      Creates a new factory instance.
      Parameters:
        `entries` - entries

  - ### Method Detail

    - #### set

          public ComponentCompressionFactory set(ComponentCompressionFactory.Entry... entries)

      Sets algorithm entries.
      Parameters:
        `entries` - entries
      Returns:
        current factory instance

    - #### compressions

          public java.util.List<java.lang.String> compressions()

      Description copied from interface: `CompressionFactory`
      Returns supported compression algorithms.
      Specified by:
        `compressions` in interface `CompressionFactory`
      Returns:
        supported compression algorithms

    - #### clientToServerCompressionFor

          public Compression clientToServerCompressionFor(java.lang.String name,
                                                          CompressionFactory.Mode mode)
                                                   throws CompressionFactory.OperationException

      Description copied from interface: `CompressionFactory`
      Returns a compression operation for client-server direction.
      Specified by:
        `clientToServerCompressionFor` in interface `CompressionFactory`
      Parameters:
        `name` - a SSH algorithm name
        `mode` - an algorithm mode
      Returns:
        a compression operation
      Throws:
        `CompressionFactory.OperationException` - if an error occurs

    - #### serverToClientCompressionFor

          public Compression serverToClientCompressionFor(java.lang.String name,
                                                          CompressionFactory.Mode mode)
                                                   throws CompressionFactory.OperationException

      Description copied from interface: `CompressionFactory`
      Returns a compression operation for server-client direction.
      Specified by:
        `serverToClientCompressionFor` in interface `CompressionFactory`
      Parameters:
        `name` - a SSH algorithm name
        `mode` - an algorithm mode
      Returns:
        a compression operation
      Throws:
        `CompressionFactory.OperationException` - if an error occurs

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved